Skip to main content
PUT
/
crm
/
objects
/
2026-03
/
{objectType}
/
{objectId}
/
associations
/
{toObjectType}
/
{toObjectId}
cURL
curl --request PUT \
  --url https://api.hubapi.com/crm/objects/2026-03/{objectType}/{objectId}/associations/{toObjectType}/{toObjectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "associationCategory": "HUBSPOT_DEFINED",
    "associationTypeId": 123
  }
]
'
{
  "fromObjectId": "<string>",
  "fromObjectTypeId": "<string>",
  "labels": [
    "<string>"
  ],
  "toObjectId": "<string>",
  "toObjectTypeId": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectId
string
required
objectType
string
required
toObjectId
string
required
toObjectType
string
required

Body

application/json
associationCategory
enum<string>
required

The category of the association, such as "HUBSPOT_DEFINED".

Available options:
HUBSPOT_DEFINED,
INTEGRATOR_DEFINED,
USER_DEFINED,
WORK
associationTypeId
integer<int32>
required

The ID representing the specific type of association.

Response

successful operation

The relationship descriptors applicable between two object types.

fromObjectId
string
required

The ID of the originating object in the relationship.

fromObjectTypeId
string
required

The type ID of the originating object in the relationship.

labels
string[]
required

A list of labels describing the relationship between the objects.

toObjectId
string
required

The ID of the target object in the relationship.

toObjectTypeId
string
required

The type ID of the target object in the relationship.

Last modified on March 30, 2026